Subject: Re: [PATCH] powerpc: POWER7 optimised copy_to_user/copy_from_user using VMX

From: Anton Blanchard <[email-masked]>
Date: Thu, 8 Dec 2011 17:04:50 +1100

Hi,

> I hate the idea of having a POWER7 FTR bit.  Every loon will (and has
> tried to in the past) attach every POWER7 related thing to it, rather
> than thinking about what the feature really is for.  
> 
> What about other processors which could also benefit from this copy
> loop?  Turning on CPU_FTR_POWER7 for them is gonna look a bit silly.

As we discussed online, we could call it CPU_FTR_VMX_COPY and start
thinking about a better way to solve the CPU feature bit mess.

One idea would be to have a structure of function pointers for each
CPU that gets runtime patched into the right places, similar to how we
do some of the MMU fixups.

Anton